Get data from captaindata companies search
curl --request GET \
--url https://api.captaindata.com/v1/companies/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.captaindata.com/v1/companies/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.captaindata.com/v1/companies/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uid": "<string>",
"company_name": "<string>",
"description": "<string>",
"li_company_url": "<string>",
"li_company_id": 123,
"sn_company_url": "<string>",
"category": "<string>",
"number_employees": "<string>"
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Companies
Search Companies
Search and discover companies based on a search query.
GET
/
companies
/
search
Get data from captaindata companies search
1 credit per request · 1 credit per result · Credit costs
A full page of 25 results typically consumes 26 credits (1 + 25). Each extra page is another request.
This endpoint allows you to search for companies using Sales Navigator compatible search queries.
query parameter.
Example: (keywords%3Aai)
Not all Sales Navigator filters are compatible. Account-specific filters cannot be used.
Authorizations
Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
Required range:
25 <= x <= 25A Sales Navigator Company search compliant query param